package com.fuint.common.config;

import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author Survive
 * @date 2025/3/10
 * @description TODO 预警配置类
 */
@Getter
@Setter
@Component
@ConfigurationProperties(prefix = "alert")
public class AlertConfig {
    private String fromEmail;
    private String toEmail;//主收件人
    private String ccEmails;       // 抄送（可选）
    private String bccEmails;      // 密送（可选）
    private String cronExpression;//定时器时间
}