
package com.fuint.common.dto.ext;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class TransactionsDto {
	/**
	 * 店铺名称
	 */
	@ApiModelProperty("店铺名称")
	private String storeName; //店铺名称

	/**
	 * 国家名
	 */
	@ApiModelProperty("国家名")
	private String countryName; //国家名

	/**
	 * 总收益金额
	 */
	@ApiModelProperty("总收益金额")
	private BigDecimal totalAmount; //总收益金额

	/**
	 * 总交易金额
	 */
	@ApiModelProperty("总交易金额")
	private BigDecimal totalTransactionAmount; //总交易金额

	/**
	 * 退款金额
	 */
	@ApiModelProperty("退款金额")
	private BigDecimal refundAmount; //退款金额

	/**
	 * 交易订单数
	 */
	@ApiModelProperty("交易订单数")
	private Integer orderNumber; //交易订单数

	/**
	 * 退款订单数
	 */
	@ApiModelProperty("退款订单数")
	private Integer refundOrderNumber; //退款订单数
}
