package com.fuint.common.job;

import com.fuint.common.service.AlertService;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.context.annotation.Configuration;

@Configuration
@Slf4j
public class ScheduleTask {

    private AlertService alertService;

    public ScheduleTask(AlertService alertService) {
        this.alertService = alertService;
    }

    // 每天23:30执行
//    @Scheduled( cron = "*/10 * * * * *")
    @XxlJob("storeAlertsJob")
    public void storeAlertsJob() {
        log.info("------------------------storeAlertsJob-------------------------");
        alertService.storeAlertsJob();
    }
}
