package com.fuint.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * 材料DTO
 */
@Getter
@Setter
public class MaterialVo {

	@ApiModelProperty("材料表id")
	private Long id;

	@ApiModelProperty("材料名称")
	private String name;

	@ApiModelProperty("材料文件/图片id")
	private String fileId;

	@ApiModelProperty("库存数量")
	private Integer inventory;

	@ApiModelProperty("材料编号")
	private String materialNo;

	@ApiModelProperty("材料类别")
	private String materialType;

	@ApiModelProperty("采购期数")
	private Integer purchasePeriod;

	@ApiModelProperty("店铺名称")
	private String storeName;

	@ApiModelProperty("保质期")
	private Integer shelfLife;

	@ApiModelProperty("规格")
	private String specification;

	@ApiModelProperty("创建时间")
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	private Date createTime;

	@ApiModelProperty("状态")
	private Integer status;

	@ApiModelProperty("单位")
	private String unit;


}
