package com.fuint.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;
import java.util.List;

// 详情响应对象
@Data
@Accessors(chain = true)
public class ShopDetailVO {
    private Long id;

    private String name;

    private String mail;

    private BigDecimal threshold;

    private Date createTime;

    private Date updateTime;

    private String alertDesc;

    @ApiModelProperty("下个预警日")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private LocalDate nextReminderDay;
//    当日订单
    private List<OrderVO> ordersToday;
}
