package com.fuint.repository.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class TableInfoBean {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("餐桌容纳人数")
    private Integer capacity;


    @ApiModelProperty("记录创建时间")
    private Date createTime;

    @ApiModelProperty("0启用1禁用")
    private Integer tableStatus;


    @ApiModelProperty("餐桌ID，主键，自增")
    private Long id;

    @ApiModelProperty("店铺名称")
    private String storeName;

    @ApiModelProperty("餐桌编号，如T001、T002等")
    private String tableNumber;


    @ApiModelProperty("分类名称")
    private String categoryName;

    @ApiModelProperty("记录更新时间")
    private Date updateTime;

}
