package com.fuint.repository.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fuint.repository.bean.TableCategoryBean;
import com.fuint.repository.model.MtTableCategory;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 餐桌分类表 Mapper 接口
 *
 * Created by pzg
 * CopyRight https://www.fuint.cn
 */
public interface MtTableCategoryMapper extends BaseMapper<MtTableCategory> {


	List<TableCategoryBean> selectByStoreIdAndCategoryName(@Param("storeId") Long storeId,
	                                                       @Param("categoryName") String categoryName,
	                                                       @Param("page") Integer page,
	                                                       @Param("pageSize") Integer pageSize);

	Integer selectByStoreIdAndCategoryCount(@Param("storeId") Long storeId,
	                                        @Param("categoryName") String categoryName);
}
