package com.fuint.common.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 材料采购订单项表实体
 *
 * @Created by huangwen
 * CopyRight https://www.fuint.cn
 */
@Getter
@Setter
public class MtPurchaseOrderItemDto extends Page implements Serializable {

    @ApiModelProperty("采购菜单项id")
    private Long id;

    @ApiModelProperty("材料id")
    private String materialId;

    private String materialName;

    @ApiModelProperty("采购订单id")
    private String purchaseNo;

    @ApiModelProperty("总数")
    private Integer totalQuantity;

    @ApiModelProperty("单价")
    private BigDecimal unitPrice;



}
