package com.fuint.common.dto.ext;

import com.fuint.common.enums.AlertEnum;

public class AlertDTO {
	private Integer alertId;

	private String desc;

	private Integer days;

	// 通过枚举构造 DTO
	public AlertDTO(AlertEnum alert) {
		this.alertId = alert.getAlertId();
		this.desc = alert.getDesc();
		this.days = alert.getDays();
	}

	// Getter 方法（省略Setter）
	public Integer getAlertId() { return alertId; }
	public String getDesc() { return desc; }
	public Integer getDays() { return days; }

	public void setAlertId(Integer alertId) {
		this.alertId = alertId;
	}

	public void setDesc(String desc) {
		this.desc = desc;
	}

	public void setDays(Integer days) {
		this.days = days;
	}
}
