package com.fuint.common.dto.ext;


import com.fuint.repository.model.MtOrder;
import com.fuint.repository.model.MtStore;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

// 预警信息封装类
@Data
@AllArgsConstructor
public class ShopAlertInfo {
    private MtStore shop;          // 店铺信息
    private BigDecimal totalSales; // 当日总销售额
    private List<MtOrder> orders; // 新增订单明细字段
}