package com.fuint.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.util.Date;

// 店铺VO对象
@Data

public class ShopVO {
    private Long id;
    private String name;
    @ApiModelProperty("店铺负责人")
    private String contact;
    @ApiModelProperty("联系电话")
    private String phone;
    @ApiModelProperty("收件邮箱")
    private String mail;
    @ApiModelProperty("预警阈值")
    private BigDecimal threshold;

    @ApiModelProperty("预警id")
    private Integer alertId;

    private String alertDesc;

    @ApiModelProperty("下个预警日")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private LocalDate nextReminderDay;

    @ApiModelProperty("更新时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updateTime;
   /* @ApiModelProperty("总收益额")
    private BigDecimal totalIncome;*/
}
