package com.fuint.repository.bean;

import lombok.Data;

import java.math.BigDecimal;

@Data
public class TransactionsBean {
	/**
	 * 店铺名称
	 */
	private String storeName;

	/**
	 * 国家名
	 */
	private String countryName;

	/**
	 * 总收益金额
	 */
	private BigDecimal totalAmount;

	/**
	 * 总交易金额
	 */
	private BigDecimal totalTransactionAmount;

	/**
	 * 退款金额
	 */
	private BigDecimal refundAmount;

	/**
	 * 交易订单数
	 */
	private Integer orderNumber;

	/**
	 * 退款订单数
	 */
	private Integer refundOrderNumber;
}
